class BonusAttack extends Bonus {
    constructor(name, scene, x, y, value) {
        let bonus;
        switch (value) {
            case 1:
                bonus = 'bonusAttack0';
                break;
            case 2:
                bonus = 'bonusAttack1';
                break;
            case 3:
                bonus = 'bonusAttack2';
                break;
            default:
                bonus = 'bonusAttack2';
                break;
        }
        super(name, scene, x, y, bonus, value);
    }

    useOn(robot) {
        robot.setAttackBonus(this.value + 1);
        this.destroy();
    }
}